Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class ISurfaceDepthMap

    java.lang.Object
      igeo.IMap
          igeo.ISurfaceDepthMap

Direct Known Subclasses:
  ISurfaceZDepthMap

    public class ISurfaceDepthMap

extends IMap

A subclass of IMap defined by depth of surface in the assigned depth direction.

Author:
  Satoru Sugihara

Field Summary
`IVec` | `depthDir` maxDepthDir is a normal vector
`double` | `maxDepth`
`IVec` | `minDepthPt` maxDepthDir is a normal vector
`IVec` | `orig`
`ISurfaceI` | `surface`
`IVec` | `uvec`
`IVec` | `vvec`

Fields inherited from class igeo.IMap
`defaultDensityHeight, defaultDensityWidth, defaultExportHeight, defaultExportWidth, densityMinDelta, uIntegration, vIntegration`

Constructor Summary
`ISurfaceDepthMap(ISurfaceI surf)`
`ISurfaceDepthMap(ISurfaceI surf, ICurveI measureLine)`
`ISurfaceDepthMap(ISurfaceI surf, IVec depthDir)`
`ISurfaceDepthMap(ISurfaceI surf, IVec depthDir, IVec minPt, IVec maxPt)`

Method Summary
`double` | `get(double u, double v)` A main method to get a value of the map.
`double` | `getDepth(double u, double v)`
`double` | `getDepth(IVec pt)`
`void` | `initMap()`

Methods inherited from class igeo.IMap
`createImage, createImage, flipU, flipV, get, initDensityMapU, initDensityMapU, initDensityMapV, initDensityMapV, matchUDensityWithMap, matchUDensityWithMap, matchVDensityWithMap, matchVDensityWithMap, project, projectU, projectV, saveAsJPEG, saveAsJPEG, saveAsPNG, saveAsPNG, scaleDensityMapU, scaleDensityMapV`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### surface

    public ISurfaceI surface

### orig

    public IVec orig

### uvec

    public IVec uvec

### vvec

    public IVec vvec

### minDepthPt

    public IVec minDepthPt

  maxDepthDir is a normal vector

### depthDir

    public IVec depthDir

  maxDepthDir is a normal vector

### maxDepth

    public double maxDepth

Constructor Detail

### ISurfaceDepthMap

    public ISurfaceDepthMap(ISurfaceI surf)

Parameters:
  `surf` - surface should be rectangle

### ISurfaceDepthMap

    public ISurfaceDepthMap(ISurfaceI surf,
                            IVec depthDir)

### ISurfaceDepthMap

    public ISurfaceDepthMap(ISurfaceI surf,
                            IVec depthDir,
                            IVec minPt,
                            IVec maxPt)

### ISurfaceDepthMap

    public ISurfaceDepthMap(ISurfaceI surf,
                            ICurveI measureLine)

Method Detail

### initMap

    public void initMap()

### getDepth

    public double getDepth(double u,
                           double v)

### getDepth

    public double getDepth(IVec pt)

### get

    public double get(double u,
                      double v)

  Description copied from class: `IMap`
  A main method to get a value of the map. This method should be overwritten by child classes to have preferable behavior returning value of the map ranging 0.0 - 1.0.

  Overrides:
    `get` in class `IMap`
  Parameters:
    `u` - u coordinates ranges 0.0 - 1.0
    `v` - v coordinates ranges 0.0 - 1.0
  Returns:
    value of the map.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD